Imports System.Collections.Generic
Imports CharterDotCom.CommonEntities.Library.Enumerations


Public Interface ICartItem
    ReadOnly Property ID() As String
    ReadOnly Property Name() As String
    ReadOnly Property Description() As String
    ' actual price of item
    Property ListPrice() As Decimal
    ' promo price of item
    Property Price() As Decimal
    ReadOnly Property InstallPrice() As Decimal
    ReadOnly Property ContractDescription() As String
    ReadOnly Property ContractTermsAndConditions() As String
    Property Requirements() As String
    ReadOnly Property InstallDescription() As String
    ReadOnly Property Category() As Category
    ReadOnly Property Type() As ItemType
    Property IsSelected() As Boolean
    ReadOnly Property IsAvailable() As Boolean
    ReadOnly Property IsVisisble() As Boolean
    ReadOnly Property IsRemovable() As Boolean
    ReadOnly Property Children() As Dictionary(Of String, ISubCartItem)
    ReadOnly Property PromotionName() As String
    ReadOnly Property PromotionDisclaimer() As String
    ReadOnly Property MarketingInfo() As String
    ReadOnly Property MarketingDetail() As String
End Interface

